#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

static const struct modversion_info ____versions[]
__attribute_used__
__attribute__((section("__versions"))) = {
	{ 0xea0fd25, "struct_module" },
	{ 0xd0d8621b, "strlen" },
	{ 0x25b88235, "irq_control" },
	{ 0x47a3ae8d, "__start_rtlinux_funcs" },
	{ 0x1fe5ede6, "per_cpu__irq_stat" },
	{ 0x1b7d4074, "printk" },
	{ 0x9fdea19f, "console_drivers" },
	{ 0x27cbbea7, "do_softirq" },
	{ 0x2cf190e3, "request_irq" },
	{ 0x782b0008, "vsprintf" },
	{ 0xf20dabd8, "free_irq" },
};

static const char __module_depends[]
__attribute_used__
__attribute__((section(".modinfo"))) =
"depends=";


MODULE_INFO(srcversion, "E556A5F7F6802BFDFE9F484");
